# Type alias Message

Message: { delay?: number; msg: string; popup?: boolean; target?: Element; type?: string }

A message to display by the ngeo notification service.

#### Type declaration

- ##### `Optional` delay?: number

  The delay in milliseconds the message is shown

- ##### msg: string

  The message text to display.

- ##### `Optional` popup?: boolean

  Whether the message should be displayed inside a popup window or not.

- ##### `Optional` target?: Element

  The target element (or selector to get the element) in which to display the message. If not defined, then the default target of the notification service is used.

- ##### `Optional` type?: string

  The type of message.

- Defined in src/message/Message.ts:25

Generated using TypeDoc